Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class RigidParser

    java.lang.Object
      org.codehaus.groovy.tools.shell.RigidParser

    final class RigidParser
    extends Object

A more rigid parser which catches more syntax errors, but also tends to barf on stuff that is really valid from time to time.

Property Summary
`static String` | `SCRIPT_FILENAME`

Method Summary
`ParseStatus` | `parse(List buffer)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### SCRIPT_FILENAME

    static final String SCRIPT_FILENAME

Method Detail

### parse

    ParseStatus parse(List buffer)

Copyright © 2003-2010 The Codehaus. All rights reserved.